Subject: Next-hop calculation

From: Jayalakshmi G <[email-masked]>
Date: Fri, 7 Jan 2005 21:15:16 +0530

Hi all,
   I have a doubt in calculating next-hop for network in OSPFv3.

Consider my topology,

               RTA
                  |e0
                  |
       RTB---------------- RTC
            e1          e1

RTB e1's interface prefix 3001::3 / 64
RTC e1's prefix 3001::9 / 64
and
RTA e0's interface prefix 4000::6 / 64

For next hop calculation:
RFC 2740 explains the difference only in calculation for Router and rest
will be same as 2328.
RFC 2328 states:
"If the destination is a directly connected network, or a router which
connects to the calculating router via a point-to-point interface, no next
hop IP address is required."

Above lines say, if we are calculating for a directly connected network then
we don't need any next hop.

But, in my topology RTA's interface prefix is different from the network
3001:: /64.
So, according to RFC 3001::/64 would seem as directly connected and would
have no next hop. Actually its next hops should be RTB's and RTC's link
local addresses.

So, any suggestions as to how should I find the correct next-hops?

Thanks & Regards,
Jaya

---

From: Santosh Esale <[email-masked]>
Date: Sun, 9 Jan 2005 22:34:26 +0530

Even though RTA's interface prefix is different, it shares THE LINK
with RTB and RTC, hence 3001::/64 & 4001::/64 are directly connected
networks which has been advertised by DR of this network in intra-area
prefix lsa, So only EXIT interface is enough to reach these networks
from any of the router, hence no need of next-hop.

Regards
Santosh

-- 
Regards

Santosh Esale

Member Technical Staff 

Riverstone Networks India Pvt Ltd.

---

From: Jayalakshmi G <[email-masked]>
Date: Mon, 10 Jan 2005 15:47:14 +0530

Hi Santosh,
  Setting the exit interface is not enough to reach the network in case of
IPv6. Because in IPv6, the destination prefix and the source-interface
address should have a common subnet-prefix. Else ping will fail.

So, for network-routes we should set an explicit next hop. But as I said
before, RFC 2740 doesn't consider this issue. We need to have a way to find
the correct next-hop.

Regards,
Jaya

-----Original Message-----
From: Mailing List [mailto:[email-masked]] On Behalf Of Santosh
Esale
Sent: Sunday, January 09, 2005 10:34 PM
To: [email-masked]
Subject: Re: Next-hop calculation

Regards
Santosh

-- 
Regards

Santosh Esale

Member Technical Staff

---

From: Santosh Esale <[email-masked]>
Date: Mon, 10 Jan 2005 20:47:33 +0530

Hi jaya,
           OSPFv3 RFC assumes that two routers can talk directly over
a single link even if they won't share a COMMON IP subnet(Hence no
need to set next-hop for network routes),which is contradictory to
your below mail. IPV6 RFCs need to be checked throughly to find out
why ping is failing.

RFC 2740 section 2.1
---------------------------------
2.1.  Protocol processing per-link, not per-subnet

   IPv6 uses the term "link" to indicate "a communication facility or
   medium over which nodes can communicate at the link layer" ([Ref14]).
   "Interfaces" connect to links. Multiple IP subnets can be assigned to
   a single link, and two nodes can talk directly over a single link,
   even if they do not share a common IP subnet (IPv6 prefix).

regards
Santosh